com.trendmicro.ds.platform.rest.api

## Interface IAWSAccountAPI

-     @Path(value="/cloudaccounts/aws")
       @Consumes(value="application/json")
       @Produces(value="application/json")
      public interface IAWSAccountAPI

  Interface for the AWS Account API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddAwsAccountResponse` | `addAccount(java.lang.String sessionId, AddAwsAccountRequest request)` Adds a new AWS cloud account into Deep Security
    `void` | `deleteAccount(java.lang.String sessionId, java.lang.Integer internalId)` Deletes an AWS cloud account from Deep Security
    `GetAwsAccountResponse` | `getAccount(java.lang.String sessionId, java.lang.Integer internalId)` Gets information about the specified AWS cloud account
    `void` | `syncAccount(java.lang.String sessionId, java.lang.Integer internalId)` Forces a sync of the specified AWS cloud account
    `void` | `updateAccount(java.lang.String sessionId, java.lang.Integer internalId, UpdateAwsAccountRequest request)` Update the specified AWS cloud account

- - ### Method Detail

    - #### addAccount

          @POST
          AddAwsAccountResponse addAccount(@CookieParam(value="sID")
                                                 java.lang.String sessionId,
                                                 AddAwsAccountRequest request)
                                          throws java.lang.Exception

      Adds a new AWS cloud account into Deep Security
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `request` - `AddAwsAccountRequest` object describing the Amazon account.
      Returns:
        A response with status `200 OK` and a body containing `AddAwsAccountResponse` object when addition was successful If there is an authentication issue with the session cookie it will return a `403 Forbidden` If there is a permission issue with the give AWS credentials, or the account has already been imported it will return a `400 Bad Request` If there is an error adding the account it will return a `500 Internal Server Error`
      Throws:
        `java.lang.Exception`

    - #### deleteAccount

          @Path(value="/{internalId}")
           @DELETE
          void deleteAccount(@CookieParam(value="sID")
                                                                   java.lang.String sessionId,
                                                                   @PathParam(value="internalId")
                                                                   java.lang.Integer internalId)
                                                            throws java.lang.Exception

      Deletes an AWS cloud account from Deep Security
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `internalId` - the internal account ID
      Throws:
        `java.lang.Exception`

    - #### syncAccount

          @Path(value="/{internalId}/sync")
           @POST
          void syncAccount(@CookieParam(value="sID")
                                                                    java.lang.String sessionId,
                                                                    @PathParam(value="internalId")
                                                                    java.lang.Integer internalId)
                                                             throws java.lang.Exception

      Forces a sync of the specified AWS cloud account
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `internalId` - the internal account ID
      Throws:
        `java.lang.Exception`

    - #### getAccount

          @Path(value="/{internalId}")
           @GET
          GetAwsAccountResponse getAccount(@CookieParam(value="sID")
                                                                              java.lang.String sessionId,
                                                                              @PathParam(value="internalId")
                                                                              java.lang.Integer internalId)
                                                                       throws java.lang.Exception

      Gets information about the specified AWS cloud account
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `internalId` - the internal account ID
      Returns:
        A response with status `200 OK` and a body containing `GetAwsAccountResponse` object if the object exists If there is an authentication issue with the session cookie it will return a `403 Forbidden` If the account ID does not exist it will return a `404 Not Found`
      Throws:
        `java.lang.Exception`

    - #### updateAccount

          @Path(value="/{internalId}/update")
           @POST
          void updateAccount(@CookieParam(value="sID")
                                                                        java.lang.String sessionId,
                                                                        @PathParam(value="internalId")
                                                                        java.lang.Integer internalId,
                                                                        UpdateAwsAccountRequest request)
                                                                 throws java.lang.Exception

      Update the specified AWS cloud account
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `internalId` - the internal account ID
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.